/* Copyright (C) 1997 Brian Raiter under the GNU General Public License */

#ifndef _gdi_h
#define _gdi_h


enum { NIL = -1 };

enum { pegGrab, pegDrag, pegDrop, pegLose };

extern BOOL MakeWindowGDI(BOOL bFirst);
extern BOOL MakePegGDI(void);
extern void ClearPegGDI(void);
extern void ClearWindowGDI(BOOL bLast);
extern void SelectPeg(HDC hdc, int nPeg);
extern void DrawPeg(HDC hdc, int x, int y);
extern void DrawPegOnBoard(HDC hdc, int i, int j);
extern void DrawChipRow(HDC hdc, int nRow);
extern void DrawBoard(HDC hdc, int cxBoard, int cyChipBoard, int cyPegBoard);
extern void DrawPegMove(int nPeg, int x, int y, int nPegUnder, int mode);
extern void DrawEndGame(HWND hwnd, int xButton, int yButton,
					int cxButton, int cyButton);


#endif
